import { Base } from '../base';
/**
 * Represents an agentic interface with identifying and descriptive properties.
 *
 * @class AgenticInterface
 * @extends {Base}
 *
 * @param {string} id - The unique identifier for the agentic interface.
 * @param {string} name - The name of the agentic interface.
 * @param {string} summary - A brief summary of the agentic interface.
 * @param {string} description - A detailed description of the agentic interface.
 *
 * @memberof xpander.ai
 */
export declare class AgenticInterface extends Base {
    id: string;
    name: string;
    summary: string;
    description: string;
    constructor(id: string, name: string, summary: string, description: string);
}
