/**
 * Converts a snake_case string to camelCase.
 *
 * @param {string} str - The string to convert to camelCase.
 * @returns {string} The camelCase version of the input string.
 */
export declare const toCamelCase: (str: string) => string;
/**
 * Recursively converts all object keys to camelCase, excluding specified root key values.
 *
 * @param {any} obj - The object or array to convert.
 * @param {string[]} [excludeKeys=[]] - List of root-level keys whose values should be excluded from conversion.
 * @returns {any} The object with keys converted to camelCase.
 */
export declare const convertKeysToCamelCase: (obj: any, excludeKeys?: string[]) => any;
/**
 * Converts a camelCase string to snake_case.
 *
 * @param {string} str - The string to convert to snake_case.
 * @returns {string} The snake_case version of the input string.
 */
export declare const toSnakeCase: (str: string) => string;
/**
 * Recursively converts all object keys to snake_case, excluding specified root key values.
 *
 * @param {any} obj - The object or array to convert.
 * @param {string[]} [excludeKeys=[]] - List of root-level keys whose values should be excluded from conversion.
 * @returns {any} The object with keys converted to snake_case.
 */
export declare const convertKeysToSnakeCase: (obj: any, excludeKeys?: string[]) => any;
export declare const generateUUIDv4: () => string;
